org.apache.ode.bpel.compiler.bom

## Class ForEachActivity

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
    - - org.apache.ode.bpel.compiler.bom.Activity
      - - org.apache.ode.bpel.compiler.bom.CompositeActivity
        - - org.apache.ode.bpel.compiler.bom.ForEachActivity

- All Implemented Interfaces:
    SourceLocation

      public class ForEachActivity
      extends CompositeActivity

  Representation of the BPEL `<forEach>` activity.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `JoinFailureSuppressor.SuppressJoinFailure`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `__suppressJoinFailure`

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachActivity(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScopeActivity` | `getChild()` Gets the scope activity that we will iterate on.
    `CompletionCondition` | `getCompletionCondition()` Gets a completion condition defining how many child scope completions can occur before the forEach completes.
    `java.lang.String` | `getCounterName()` Gets the counter variable name used for iteration.
    `Expression` | `getFinalCounter()` Sets the expression that will be used as a termination value for the forEach iterations.
    `Expression` | `getStartCounter()` \ Gets the expression that will be used as a start value for the iteration counter.
    `boolean` | `isParallel()` Returns whether this forEach executes iterations on nested scopes parrallely or sequentially

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.CompositeActivity

      `getActivities`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity

      `getJoinCondition, getLinkSources, getLinkTargets, getName`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `getSuppressJoinFailure`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachActivity

          public ForEachActivity(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getCounterName

          public java.lang.String getCounterName()

      Gets the counter variable name used for iteration.
      Returns:
        counter variable name

    - #### isParallel

          public boolean isParallel()

      Returns whether this forEach executes iterations on nested scopes parrallely or sequentially
      Returns:
        true if parrallel, false if sequential

    - #### getStartCounter

          public Expression getStartCounter()

      \ Gets the expression that will be used as a start value for the iteration counter.
      Returns:
        start iteration counter

    - #### getFinalCounter

          public Expression getFinalCounter()

      Sets the expression that will be used as a termination value for the forEach iterations.
      Returns:
        final counter expression

    - #### getCompletionCondition

          public CompletionCondition getCompletionCondition()

      Gets a completion condition defining how many child scope completions can occur before the forEach completes.
      Returns:
        completion condition

    - #### getChild

          public ScopeActivity getChild()

      Gets the scope activity that we will iterate on.
      Returns:
        child scope activity